org.apache.synapse.commons.staxon.core.util

## Class EventWriterDelegate

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.util.EventWriterDelegate

- All Implemented Interfaces:
    javax.xml.stream.util.XMLEventConsumer, javax.xml.stream.XMLEventWriter
  Direct Known Subclasses:
    PrettyXMLEventWriter, XMLMultipleEventWriter

      public class EventWriterDelegate
      extends java.lang.Object
      implements javax.xml.stream.XMLEventWriter

  Filter an `XMLEventWriter`. Counterpart to `EventReaderDelegate`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventWriterDelegate()`
    `EventWriterDelegate(javax.xml.stream.XMLEventWriter parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(javax.xml.stream.events.XMLEvent event)`
    `void` | `add(javax.xml.stream.XMLEventReader reader)`
    `void` | `close()`
    `void` | `flush()`
    `javax.xml.namespace.NamespaceContext` | `getNamespaceContext()`
    `javax.xml.stream.XMLEventWriter` | `getParent()`
    `java.lang.String` | `getPrefix(java.lang.String uri)`
    `void` | `setDefaultNamespace(java.lang.String uri)`
    `void` | `setNamespaceContext(javax.xml.namespace.NamespaceContext context)`
    `void` | `setParent(javax.xml.stream.XMLEventWriter parent)`
    `void` | `setPrefix(java.lang.String prefix, java.lang.String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventWriterDelegate

          public EventWriterDelegate()

    - #### EventWriterDelegate

          public EventWriterDelegate(javax.xml.stream.XMLEventWriter parent)

  - ### Method Detail

    - #### getParent

          public javax.xml.stream.XMLEventWriter getParent()

    - #### setParent

          public void setParent(javax.xml.stream.XMLEventWriter parent)

    - #### flush

          public void flush()
                     throws javax.xml.stream.XMLStreamException

      Specified by:
        `flush` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### close

          public void close()
                     throws javax.xml.stream.XMLStreamException

      Specified by:
        `close` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### add

          public void add(javax.xml.stream.events.XMLEvent event)
                   throws javax.xml.stream.XMLStreamException

      Specified by:
        `add` in interface `javax.xml.stream.util.XMLEventConsumer`
      Specified by:
        `add` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### add

          public void add(javax.xml.stream.XMLEventReader reader)
                   throws javax.xml.stream.XMLStreamException

      Specified by:
        `add` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getPrefix

          public java.lang.String getPrefix(java.lang.String uri)
                                     throws javax.xml.stream.XMLStreamException

      Specified by:
        `getPrefix` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### setPrefix

          public void setPrefix(java.lang.String prefix,
                                java.lang.String uri)
                         throws javax.xml.stream.XMLStreamException

      Specified by:
        `setPrefix` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### setDefaultNamespace

          public void setDefaultNamespace(java.lang.String uri)
                                   throws javax.xml.stream.XMLStreamException

      Specified by:
        `setDefaultNamespace` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### setNamespaceContext

          public void setNamespaceContext(javax.xml.namespace.NamespaceContext context)
                                   throws javax.xml.stream.XMLStreamException

      Specified by:
        `setNamespaceContext` in interface `javax.xml.stream.XMLEventWriter`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getNamespaceContext

          public javax.xml.namespace.NamespaceContext getNamespaceContext()

      Specified by:
        `getNamespaceContext` in interface `javax.xml.stream.XMLEventWriter`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.